org.apache.http.message

## Class ParserCursor

- java.lang.Object
- - org.apache.http.message.ParserCursor

-     @NotThreadSafe
      public class ParserCursor
      extends Object

  This class represents a context of a parsing operation:
  - the current position the parsing operation is expected to start at
  - the bounds limiting the scope of the parsing operation
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserCursor(int lowerBound, int upperBound)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `atEnd()`
    `int` | `getLowerBound()`
    `int` | `getPos()`
    `int` | `getUpperBound()`
    `String` | `toString()`
    `void` | `updatePos(int pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserCursor

          public ParserCursor(int lowerBound,
                      int upperBound)

  - ### Method Detail

    - #### getLowerBound

          public int getLowerBound()

    - #### getUpperBound

          public int getUpperBound()

    - #### getPos

          public int getPos()

    - #### updatePos

          public void updatePos(int pos)

    - #### atEnd

          public boolean atEnd()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.